org.springframework.web.reactive.result.method.annotation

## Class RequestParamMapMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport
  - - org.springframework.web.reactive.result.method.annotation.RequestParamMapMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

    public class RequestParamMapMethodArgumentResolver
    extends HandlerMethodArgumentResolverSupport
    implements SyncHandlerMethodArgumentResolver

Resolver for `Map` method arguments annotated with `@RequestParam` where the annotation does not specify a request parameter name. See `RequestParamMethodArgumentResolver` for resolving `Map` method arguments with a request parameter name.

The created `Map` contains all request parameter name-value pairs. If the method parameter type is `MultiValueMap` instead, the created map contains all request parameters and all there values for cases where request parameters have multiple values.

Since:
  5.0
Author:
  Rossen Stoyanchev, Sebastien Deleuze
See Also:
  `RequestParamMethodArgumentResolver`

### Field Summary

### Fields inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`RequestParamMapMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `resolveArgumentValue(org.springframework.core.MethodParameter methodParameter, BindingContext context, org.springframework.web.server.ServerWebExchange exchange)` Resolve the value for the method parameter synchronously.
`boolean` `supportsParameter(org.springframework.core.MethodParameter param)` Whether this resolver supports the given method parameter.

### Methods inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`checkAnnotatedParamNoReactiveWrapper, checkParameterType, checkParameterTypeNoReactiveWrapper, getAdapterRegistry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.reactive.result.method.SyncHandlerMethodArgumentResolver

`resolveArgument`

### Constructor Detail

#### RequestParamMapMethodArgumentResolver

    public RequestParamMapMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)

### Method Detail

#### supportsParameter

    public boolean supportsParameter(org.springframework.core.MethodParameter param)

Description copied from interface: `HandlerMethodArgumentResolver`
Whether this resolver supports the given method parameter.

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`
Parameters:
  `param` - the method parameter

#### resolveArgumentValue

    public Object resolveArgumentValue(org.springframework.core.MethodParameter methodParameter,
                                       BindingContext context,
                                       org.springframework.web.server.ServerWebExchange exchange)

Description copied from interface: `SyncHandlerMethodArgumentResolver`
Resolve the value for the method parameter synchronously.

Specified by:
  `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`
Parameters:
  `methodParameter` - the method parameter
  `context` - the binding context to use
  `exchange` - the current exchange
Returns:
  the resolved value, if any